function i(s) {
	return document.getElementById(s);
}

function highlight(str) {
	return str
		.replace(
			/\[(\d\d\d\d-\d\d-\d\d)\s(\d\d\:\d\d)\:(\d\d)\]/g,
			'<span class="timestamp">[<span class="ts_split_d">$1 </span><span class="ts_split_hm">$2</span><span class="ts_split_s">:$3</span>]</span>'
		)
		.replace(/(\[[0-9:\-\s]*?\])/g, '<span class="timestamp">$1</span>')
		.replace(/(\&lt\;.+?\&gt\;)/g, "<span class=\"chat\">$1</span>")
		.replace(/(\*\*\*.+)/g, "<span class=\"sys\">$1</span>")
		.replace(/(\&gt\;imp[^\n\r\<]*)/g, "<span class=\"gt\">$1</span>")
		.replace(/(https?:\/\/.+?)([\s|<])/g, "<a href=\"$1\" rel=\"noreferrer\">$1</a>$2")
	;
}

function onLoad() {
	i('chatarea').innerHTML = highlight(i('chatarea').innerHTML);
}

function setYM(el) {
	var t = el.value.split("-");
	i("f_y").value = t[0];
	i("f_m").value = t[1];
	el.form.submit();
}

window.addEventListener('load', onLoad);
